Index: neutron/neutron/tests/unit/ml2/test_agent_scheduler.py
===================================================================
--- neutron.orig/neutron/tests/unit/ml2/test_agent_scheduler.py	2013-12-12 13:15:48.771181697 -0800
+++ neutron/neutron/tests/unit/ml2/test_agent_scheduler.py	2013-12-12 13:15:48.767181697 -0800
@@ -19,18 +19,19 @@
 
 class Ml2AgentSchedulerTestCase(
     test_agent_scheduler.OvsAgentSchedulerTestCase):
-    plugin_str = test_ml2_plugin.PLUGIN_NAME
+    pass
     l3_plugin = ('neutron.services.l3_router.'
                  'l3_router_plugin.L3RouterPlugin')
 
 
 class Ml2L3AgentNotifierTestCase(
     test_agent_scheduler.OvsL3AgentNotifierTestCase):
-    plugin_str = test_ml2_plugin.PLUGIN_NAME
+    pass
     l3_plugin = ('neutron.services.l3_router.'
                  'l3_router_plugin.L3RouterPlugin')
 
 
 class Ml2DhcpAgentNotifierTestCase(
     test_agent_scheduler.OvsDhcpAgentNotifierTestCase):
+    pass
     plugin_str = test_ml2_plugin.PLUGIN_NAME
